com.mysql.cj.xdevapi

## Interface RemoveStatement

All Superinterfaces:
  Statement<RemoveStatement,Result>

    public interface RemoveStatement
    extends Statement<RemoveStatement,Result>

A statement requesting to remove a set of documents.

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.mysql.cj.xdevapi.Statement

`Statement.LockContention`

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`RemoveStatement` `limit(long numberOfRows)` Add/replace the document limit for the removal.
`RemoveStatement` `orderBy(String... sortFields)` Deprecated.
`RemoveStatement` `sort(String... sortFields)` Add/replace the order specification for the removal.

### Methods inherited from interface com.mysql.cj.xdevapi.Statement

`bind, bind, bind, bind, clearBindings, execute, executeAsync`

### Method Detail

#### orderBy

    @Deprecated
    RemoveStatement orderBy(String... sortFields)

Deprecated.
Add/replace the order specification for the removal.

Parameters:
  `sortFields` - sort expression
Returns:
  `RemoveStatement`

#### sort

    RemoveStatement sort(String... sortFields)

Add/replace the order specification for the removal.

Parameters:
  `sortFields` - sort expression
Returns:
  `RemoveStatement`

#### limit

    RemoveStatement limit(long numberOfRows)

Add/replace the document limit for the removal.

Parameters:
  `numberOfRows` - limit
Returns:
  `RemoveStatement`

Copyright © 2016, 2022, Oracle and/or its affiliates.